<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Image generate</title>
    <style>
        .container {
            text-align: center;
        }
        .card {
            border: 1px solid #ccc;
            border-radius: 5px;
            padding: 20px;
            margin: 10px auto;
            width: 300px;
            display: inline-block;
            vertical-align: top;
        }
        .btn-container {
            margin-top: 20px;
        }
        .btn {
            padding: 10px 20px;
            background-color: #007bff;
            color: #fff;
            border: none;
            border-radius: 5px;
            cursor: pointer;
        }
        input[type="file"] {
            display: none;
        }
        .custom-file-upload {
            border: 1px solid #ccc;
            display: inline-block;
            padding: 6px 12px;
            cursor: pointer;
            background-color: #007bff;
            color: #fff;
            border-radius: 5px;
        }
    </style>
</head>
<body>
    <h1>Image generate</h1>
    <div class="container">
        <div class="card">
            <h2>Select your picture</h2>
            <div id="imagePreview1"></div>
            <input type="file" id="fileInput" accept="image/*">
            <label for="fileInput" class="custom-file-upload">Choose Image</label>
        </div>
        <div class="card" id="secondCard">
            <h2>Output Image</h2>
            <div id="imagePreview2"></div>
            <button class="btn" id="saveImageBtn">Save Image</button>
        </div>
        <div class="btn-container">
            <button class="btn">do it</button>
        </div>
    </div>

    <script>
        document.getElementById('fileInput').addEventListener('change', function(e) {
            var file = e.target.files[0];
            var reader = new FileReader();
            reader.onload = function(e) {
                var imagePreview1 = document.getElementById('imagePreview1');
                var img = document.createElement('img');
                img.src = e.target.result;
                img.width = 200; 
                imagePreview1.innerHTML = ''; 
                imagePreview1.appendChild(img);

                var imagePreview2 = document.getElementById('imagePreview2');
                var imgCopy = img.cloneNode(true);
                imagePreview2.innerHTML = ''; 
                imagePreview2.appendChild(imgCopy);
            };
            reader.readAsDataURL(file);
        });

        document.getElementById('saveImageBtn').addEventListener('click', function() {
            var imageSrc = document.getElementById('imagePreview1').querySelector('img').src;
            var a = document.createElement('a');
            a.href = imageSrc;
            a.download = 'card_image.png';
            document.body.appendChild(a);
            a.click();
            document.body.removeChild(a);
        });
    </script>
</body>
</html>
